Bug 1322959 - Unit tests are broken after hammer_cli_foreman refactor
Summary: Unit tests are broken after hammer_cli_foreman refactor
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Satellite 6
Classification: Red Hat
Component: Remote Execution
Version: 6.2.0
Hardware: Unspecified
OS: Unspecified
unspecified
high vote
Target Milestone: Unspecified
Assignee: Mike McCune
QA Contact: Elyézer Rezende
URL: http://projects.theforeman.org/issues...
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2016-03-31 19:00 UTC by Chris Peters
Modified: 2019-09-25 21:05 UTC (History)
4 users (show)

Fixed In Version: rubygem-hammer_cli_foreman_remote_execution-0.0.5.2-1
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2016-07-27 09:29:56 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2016:1501 normal SHIPPED_LIVE Red Hat Satellite 6.2 Capsule and Server 2016-07-27 12:28:58 UTC
Foreman Issue Tracker 14250 None None None 2016-04-22 16:55:13 UTC

Description Chris Peters 2016-03-31 19:00:22 UTC
The location of the test dir changed in the latest refactoring of hammer_cli_foreman. Update hammer_cli_remote_execution tests to pass.

Comment 1 Chris Peters 2016-03-31 19:00:23 UTC
Created from redmine issue http://projects.theforeman.org/issues/14250

Comment 2 Chris Peters 2016-03-31 19:00:26 UTC
Upstream bug assigned to chpeters@redhat.com

Comment 7 Elyézer Rezende 2016-04-14 14:02:33 UTC
Verified.

I checked the unittests and the previous 5 builds are green. In other words, it have been green since April 1st.

Comment 11 errata-xmlrpc 2016-07-27 09:29:56 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHBA-2016:1501


Note You need to log in before you can comment on or make changes to this bug.